Bug 1417625 - Disable unhelpful multipathd service
Summary: Disable unhelpful multipathd service
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Václav Pavlín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 13:02 UTC by Marko Myllynen
Modified: 2018-05-29 11:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:45:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Marko Myllynen 2017-01-30 13:02:00 UTC
Description of problem:
multipathd.service is enabled by default on Workstation, although a no-op without configuration I think it might be better to disable it to make it clear for everyone no such service is being started on Workstation.

Comment 1 Kevin Fenzi 2017-02-18 16:19:51 UTC
This was added as part of: https://pagure.io/fesco/issue/391
(6 years ago now). 

As you note it doesn't do anything if there's no /etc/mutipath.conf file existing, so not sure how big a deal this is. I guess it really only makes sense to enable on server ( I don't see workstation or cloud needing it). 

Have people been confused by it's presense?

Comment 2 Marko Myllynen 2017-02-20 11:23:02 UTC
(In reply to Kevin Fenzi from comment #1)
> 
> As you note it doesn't do anything if there's no /etc/mutipath.conf file
> existing, so not sure how big a deal this is. I guess it really only makes
> sense to enable on server ( I don't see workstation or cloud needing it). 
> 
> Have people been confused by it's presense?

Not really, but some users tend to try to sure that their installation/image has the minimal set of required services enabled and something multipathd in workstation/cloud is a bit of surprising then. Thanks.

Comment 3 Fedora End Of Life 2017-02-28 11:08:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Fedora End Of Life 2018-05-03 07:58:47 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2018-05-29 11:45:33 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.